<?xml version="1.0" encoding="UTF-8"?>
<mappingtask>
  <config>
    <rewriteSubsumptions>true</rewriteSubsumptions>
    <rewriteCoverages>true</rewriteCoverages>
    <rewriteSelfJoins>true</rewriteSelfJoins>
    <rewriteEGDs>false</rewriteEGDs>
    <sortStrategy>-1</sortStrategy>
    <skolemTableStrategy>-1</skolemTableStrategy>
    <useLocalSkolem>false</useLocalSkolem>
  </config>
  <source>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:musicbrainz_sample1</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.area.areaTuple.type</from>
          <to>musicbrainz_sample1.area_type.area_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.area_alias.area_aliasTuple.area</from>
          <to>musicbrainz_sample1.area.areaTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.area_alias.area_aliasTuple.type</from>
          <to>musicbrainz_sample1.area_alias_type.area_alias_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.area_annotation.area_annotationTuple.annotation</from>
          <to>musicbrainz_sample1.annotation.annotationTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.area_annotation.area_annotationTuple.area</from>
          <to>musicbrainz_sample1.area.areaTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist.artistTuple.area</from>
          <to>musicbrainz_sample1.area.areaTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist.artistTuple.type</from>
          <to>musicbrainz_sample1.artist_type.artist_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist.artistTuple.gender</from>
          <to>musicbrainz_sample1.gender.genderTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_alias.artist_aliasTuple.artist</from>
          <to>musicbrainz_sample1.artist.artistTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_alias.artist_aliasTuple.type</from>
          <to>musicbrainz_sample1.artist_alias_type.artist_alias_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_annotation.artist_annotationTuple.annotation</from>
          <to>musicbrainz_sample1.annotation.annotationTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_annotation.artist_annotationTuple.artist</from>
          <to>musicbrainz_sample1.artist.artistTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.artist</from>
          <to>musicbrainz_sample1.artist.artistTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.artist_credit</from>
          <to>musicbrainz_sample1.artist_credit.artist_creditTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_meta.artist_metaTuple.id</from>
          <to>musicbrainz_sample1.artist.artistTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_tag.artist_tagTuple.artist</from>
          <to>musicbrainz_sample1.artist.artistTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_tag.artist_tagTuple.tag</from>
          <to>musicbrainz_sample1.tag.tagTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.cover_art.cover_artTuple.mime_type</from>
          <to>musicbrainz_sample1.image_type.image_typeTuple.mime_type</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.cover_art.cover_artTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.cover_art_type.cover_art_typeTuple.type_id</from>
          <to>musicbrainz_sample1.art_type.art_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.cover_art_type.cover_art_typeTuple.id</from>
          <to>musicbrainz_sample1.cover_art.cover_artTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.isrc.isrcTuple.recording</from>
          <to>musicbrainz_sample1.recording.recordingTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label.labelTuple.area</from>
          <to>musicbrainz_sample1.area.areaTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label.labelTuple.type</from>
          <to>musicbrainz_sample1.label_type.label_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label_alias.label_aliasTuple.label</from>
          <to>musicbrainz_sample1.label.labelTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label_alias.label_aliasTuple.type</from>
          <to>musicbrainz_sample1.label_alias_type.label_alias_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label_annotation.label_annotationTuple.annotation</from>
          <to>musicbrainz_sample1.annotation.annotationTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label_annotation.label_annotationTuple.label</from>
          <to>musicbrainz_sample1.label.labelTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label_meta.label_metaTuple.id</from>
          <to>musicbrainz_sample1.label.labelTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label_tag.label_tagTuple.label</from>
          <to>musicbrainz_sample1.label.labelTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.label_tag.label_tagTuple.tag</from>
          <to>musicbrainz_sample1.tag.tagTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.medium.mediumTuple.format</from>
          <to>musicbrainz_sample1.medium_format.medium_formatTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.medium.mediumTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.medium_cdtoc.medium_cdtocTuple.cdtoc</from>
          <to>musicbrainz_sample1.cdtoc.cdtocTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.medium_cdtoc.medium_cdtocTuple.medium</from>
          <to>musicbrainz_sample1.medium.mediumTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.recording.recordingTuple.artist_credit</from>
          <to>musicbrainz_sample1.artist_credit.artist_creditTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.recording_annotation.recording_annotationTuple.annotation</from>
          <to>musicbrainz_sample1.annotation.annotationTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.recording_annotation.recording_annotationTuple.recording</from>
          <to>musicbrainz_sample1.recording.recordingTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.recording_meta.recording_metaTuple.id</from>
          <to>musicbrainz_sample1.recording.recordingTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.recording_tag.recording_tagTuple.recording</from>
          <to>musicbrainz_sample1.recording.recordingTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.recording_tag.recording_tagTuple.tag</from>
          <to>musicbrainz_sample1.tag.tagTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release.releaseTuple.artist_credit</from>
          <to>musicbrainz_sample1.artist_credit.artist_creditTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release.releaseTuple.language</from>
          <to>musicbrainz_sample1.language.languageTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release.releaseTuple.release_group</from>
          <to>musicbrainz_sample1.release_group.release_groupTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release.releaseTuple.packaging</from>
          <to>musicbrainz_sample1.release_packaging.release_packagingTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release.releaseTuple.status</from>
          <to>musicbrainz_sample1.release_status.release_statusTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release.releaseTuple.script</from>
          <to>musicbrainz_sample1.script.scriptTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_annotation.release_annotationTuple.annotation</from>
          <to>musicbrainz_sample1.annotation.annotationTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_annotation.release_annotationTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_country.release_countryTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group.release_groupTuple.artist_credit</from>
          <to>musicbrainz_sample1.artist_credit.artist_creditTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group.release_groupTuple.type</from>
          <to>musicbrainz_sample1.release_group_primary_type.release_group_primary_typeTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group_annotation.release_group_annotationTuple.annotation</from>
          <to>musicbrainz_sample1.annotation.annotationTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group_annotation.release_group_annotationTuple.release_group</from>
          <to>musicbrainz_sample1.release_group.release_groupTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group_cover_art.release_group_cover_artTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group_cover_art.release_group_cover_artTuple.release_group</from>
          <to>musicbrainz_sample1.release_group.release_groupTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group_meta.release_group_metaTuple.id</from>
          <to>musicbrainz_sample1.release_group.release_groupTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group_tag.release_group_tagTuple.release_group</from>
          <to>musicbrainz_sample1.release_group.release_groupTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_group_tag.release_group_tagTuple.tag</from>
          <to>musicbrainz_sample1.tag.tagTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_label.release_labelTuple.label</from>
          <to>musicbrainz_sample1.label.labelTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_label.release_labelTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_tag.release_tagTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_tag.release_tagTuple.tag</from>
          <to>musicbrainz_sample1.tag.tagTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.release_unknown_country.release_unknown_countryTuple.release</from>
          <to>musicbrainz_sample1.release.releaseTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.script_language.script_languageTuple.language</from>
          <to>musicbrainz_sample1.language.languageTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.script_language.script_languageTuple.script</from>
          <to>musicbrainz_sample1.script.scriptTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.track.trackTuple.artist_credit</from>
          <to>musicbrainz_sample1.artist_credit.artist_creditTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.track.trackTuple.medium</from>
          <to>musicbrainz_sample1.medium.mediumTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.track.trackTuple.recording</from>
          <to>musicbrainz_sample1.recording.recordingTuple.id</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.artist</from>
          <to>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.position</to>
        </join>
        <foreignKey>false</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
    </joinConditions>
  </source>
  <target>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:discogs_sample1</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>discogs_sample1.artists.artistsTuple.profile</from>
          <to>discogs_sample1.artists</to>
        </join>
        <foreignKey>false</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.artists_aliases.artists_aliasesTuple.name</from>
          <to>discogs_sample1.artists_aliases</to>
        </join>
        <foreignKey>false</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_artists.releases_artistsTuple.name</from>
          <to>discogs_sample1.releases_artists</to>
        </join>
        <foreignKey>false</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_extraartists.releases_extraartistsTuple.name</from>
          <to>discogs_sample1.releases_extraartists</to>
        </join>
        <foreignKey>false</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>discogs_sample1.releases_tracklist_artists.releases_tracklist_artistsTuple.name</from>
          <to>discogs_sample1.releases_tracklist_artists</to>
        </join>
        <foreignKey>false</foreignKey>
        <mandatory>false</mandatory>
      </joinCondition>
    </joinConditions>
  </target>
  <correspondences>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.artist.artistTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.artists.artistsTuple.name</target-path>
      <transformation-function>musicbrainz_sample1.artist.artistTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.artist_alias.artist_aliasTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.artists_aliases.artists_aliasesTuple.name</target-path>
      <transformation-function>musicbrainz_sample1.artist_alias.artist_aliasTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.label.labelTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.labels.labelsTuple.name</target-path>
      <transformation-function>musicbrainz_sample1.label.labelTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.release_status.release_statusTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases.releasesTuple.status</target-path>
      <transformation-function>musicbrainz_sample1.release_status.release_statusTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.release_country.release_countryTuple.date_year</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases.releasesTuple.released</target-path>
      <transformation-function>musicbrainz_sample1.release_country.release_countryTuple.date_year</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.release_country.release_countryTuple.date_month</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases.releasesTuple.released</target-path>
      <transformation-function>musicbrainz_sample1.release_country.release_countryTuple.date_month</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.release_country.release_countryTuple.date_day</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases.releasesTuple.released</target-path>
      <transformation-function>musicbrainz_sample1.release_country.release_countryTuple.date_day</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.release.releaseTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases.releasesTuple.title</target-path>
      <transformation-function>musicbrainz_sample1.release.releaseTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.release.releaseTuple.comment</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases.releasesTuple.notes</target-path>
      <transformation-function>musicbrainz_sample1.release.releaseTuple.comment</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.track.trackTuple.length</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_tracklist.releases_tracklistTuple.duration</target-path>
      <transformation-function>musicbrainz_sample1.track.trackTuple.length</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.track.trackTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_tracklist.releases_tracklistTuple.title</target-path>
      <transformation-function>musicbrainz_sample1.track.trackTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.track.trackTuple.position</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_tracklist.releases_tracklistTuple.position</target-path>
      <transformation-function>musicbrainz_sample1.track.trackTuple.position</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.annotation.annotationTuple.text</source-path>
      </source-paths>
      <target-path>discogs_sample1.labels.labelsTuple.profile</target-path>
      <transformation-function>musicbrainz_sample1.annotation.annotationTuple.text</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_artists.releases_artistsTuple.name</target-path>
      <transformation-function>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.join_phrase</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_artists.releases_artistsTuple.join_</target-path>
      <transformation-function>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.join_phrase</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.medium_format.medium_formatTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_formats.releases_formatsTuple.name</target-path>
      <transformation-function>musicbrainz_sample1.medium_format.medium_formatTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.release_label.release_labelTuple.catalog_number</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_labels.releases_labelsTuple.catno</target-path>
      <transformation-function>musicbrainz_sample1.release_label.release_labelTuple.catalog_number</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.label.labelTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_labels.releases_labelsTuple.name</target-path>
      <transformation-function>musicbrainz_sample1.label.labelTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_tracklist_artists.releases_tracklist_artistsTuple.name</target-path>
      <transformation-function>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.join_phrase</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases_tracklist_artists.releases_tracklist_artistsTuple.join_</target-path>
      <transformation-function>musicbrainz_sample1.artist_credit_name.artist_credit_nameTuple.join_phrase</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.annotation.annotationTuple.text</source-path>
      </source-paths>
      <target-path>discogs_sample1.artists.artistsTuple.profile</target-path>
      <transformation-function>musicbrainz_sample1.annotation.annotationTuple.text</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
    <correspondence>
      <source-paths>
        <source-path>musicbrainz_sample1.area.areaTuple.name</source-path>
      </source-paths>
      <target-path>discogs_sample1.releases.releasesTuple.country</target-path>
      <transformation-function>musicbrainz_sample1.area.areaTuple.name</transformation-function>
      <confidence>1.0</confidence>
    </correspondence>
  </correspondences>
</mappingtask>

